Bug 990422 - Review Request: rubygem-rails-api - Rails for API only Applications
Review Request: rubygem-rails-api - Rails for API only Applications
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Josef Stribny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 03:37 EDT by Miroslav Suchý
Modified: 2016-01-04 00:51 EST (History)
4 users (show)

See Also:
Fixed In Version: rubygem-rails-api-0.1.0-6.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 22:35:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jstribny: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2013-07-31 03:37:28 EDT
Spec URL: http://miroslav.suchy.cz/fedora/rubygem-rails-api/rubygem-rails-api.spec
SRPM URL: http://miroslav.suchy.cz/fedora/rubygem-rails-api/rubygem-rails-api-0.1.0-5.fc19.src.rpm
Description: 
Rails::API is a subset of a normal Rails application,
created for applications that don't require all
functionality that a complete Rails application provides

Fedora Account System Username: msuchy
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5682695
Comment 1 Josef Stribny 2013-08-02 04:27:50 EDT
Taking.
Comment 2 Josef Stribny 2013-08-05 04:48:14 EDT
* New upstream URL
  Please change the URL to: https://github.com/rails-api/rails-api

* Please include the license file from the official git repo to the main package and open an upstream bug.

* Description should end up with a dot.

* Fix macro in comment by using two %% instead of one: %%gem_dir
  rubygem-rails-api.spec:52: W: macro-in-comment %gem_dir

Otherwise it looks okay, it builds and installs also with the upcoming update of Rails 4.0, I was able to generate a new rails-api application, tests passed. Please fix the above issues so I can approve.
Comment 4 Josef Stribny 2013-08-05 09:08:40 EDT
Thanks.

APPROVED.
Comment 5 Miroslav Suchý 2013-08-05 09:23:52 EDT
New Package SCM Request
=======================
Package Name: rubygem-rails-api
Short Description: Rails for API only Applications
Owners: msuchy
Branches: f19
InitialCC:
Comment 6 Gwyn Ciesla 2013-08-05 09:37:34 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-08-05 10:01:48 EDT
rubygem-rails-api-0.1.0-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-rails-api-0.1.0-6.fc19
Comment 8 Fedora Update System 2013-08-05 20:23:56 EDT
rubygem-rails-api-0.1.0-6.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-08-14 22:35:21 EDT
rubygem-rails-api-0.1.0-6.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.